<?php
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */

/**
 * Currency switcher
 *
 * @var \Magento\Directory\Block\Currency $block
 */
$isManualCurrencySwich = $this->helper('Biztech\Geoip\Helper\Data')->isManualCurrencySwich();
if($isManualCurrencySwich!=1) { ?>
<style type="text/css">
    .page-header .panel.wrapper .switcher .options.active ul.switcher-dropdown-geoip-currency, .page-footer .switcher .options.active ul.switcher-dropdown-geoip-currency {
        display: none;
    }
    .page-header .panel.wrapper .switcher .options-geoip-currency .action.toggle.active:after, .page-footer .switcher .options-geoip-currency .action.toggle.active:after {
        display: none;
    }
    .page-header .panel.wrapper .switcher .options-geoip-currency .action.toggle:after, .page-footer .switcher .options-geoip-currency .action.toggle:after
    {
        display: none;
    }
</style>
<?php } ?>

<?php if ($block->getCurrencyCount() > 1) : ?>
    <?php $currencies = $block->getCurrencies(); ?>
    <?php $currentCurrencyCode = $block->getCurrentCurrencyCode(); ?>
    <?php $id = $block->getIdModifier() ? '-' . $block->getIdModifier() : '' ?>
    <div class="switcher currency switcher-currency" id="switcher-currency<?= $block->escapeHtmlAttr($id) ?>">
        <strong class="label switcher-label"><span><?= $block->escapeHtml(__('Currency')) ?></span></strong>
        <div class="actions dropdown options switcher-options options-geoip-currency">
            <div class="action toggle switcher-trigger"
                 id="switcher-currency-trigger<?= $block->escapeHtmlAttr($id) ?>"
                 data-mage-init='{"dropdown":{}}'
                 data-toggle="dropdown"
                 data-trigger-keypress-button="true">
                <strong class="language-<?= $block->escapeHtml($block->getCurrentCurrencyCode()) ?>">
                    <span><?= $block->escapeHtml($currentCurrencyCode) ?> - <?= $currencies[$currentCurrencyCode] ? $block->escapeHtml($currencies[$currentCurrencyCode]) : '' ?></span>
                </strong>
            </div>
            <ul class="dropdown switcher-dropdown switcher-dropdown-geoip-currency" data-target="dropdown">
                <?php foreach ($currencies as $_code => $_name) : ?>
                <?php if($isManualCurrencySwich!=1) continue; ?>
                    <?php if ($_code != $currentCurrencyCode) : ?>
                        <li class="currency-<?= $block->escapeHtmlAttr($_code) ?> switcher-option">
                            <a href="#" data-post='<?= /* @noEscape */ $block->getSwitchCurrencyPostData($_code) ?>'><?= $block->escapeHtml($_code) ?> - <?= $block->escapeHtml($_name) ?></a>
                        </li>
                    <?php endif; ?>
                <?php endforeach; ?>
            </ul>
        </div>
    </div>
<?php endif; ?>

